Page MenuHomePhabricator

Update apertium to 3.7 release
Open, MediumPublic

Description

Update Apertium to 3.7 release from upstream.

Details

ProjectBranchLines +/-Subject
operations/debs/contenttranslation/apertium-es-astmaster+41 -16
operations/debs/contenttranslation/apertium-es-romaster+28 -11
operations/debs/contenttranslation/apertium-eu-enmaster+28 -11
operations/debs/contenttranslation/apertium-eu-esmaster+32 -30
operations/debs/contenttranslation/apertium-hbs-mkdmaster+62 -5
operations/debs/contenttranslation/apertium-is-svmaster+32 -10
operations/debs/contenttranslation/apertium-isl-engmaster+52 -14
operations/debs/contenttranslation/apertium-mk-bgmaster+74 -13
operations/debs/contenttranslation/apertium-mk-enmaster+27 -13
operations/debs/contenttranslation/apertium-oc-camaster+27 -10
operations/debs/contenttranslation/apertium-eo-frmaster+36 -11
operations/debs/contenttranslation/apertium-eo-camaster+438 -33
operations/debs/contenttranslation/apertium-fr-esmaster+36 -13
operations/debs/contenttranslation/apertium-es-ptmaster+66 -36
operations/debs/contenttranslation/apertium-en-esmaster+57 -10
operations/debs/contenttranslation/apertium-cy-enmaster+50 -10
operations/debs/contenttranslation/apertium-br-frmaster+1 K -8
operations/debs/contenttranslation/apertium-en-glmaster+77 -11
operations/debs/contenttranslation/apertium-pt-glmaster+81 -10
operations/debs/contenttranslation/apertium-eo-esmaster+67 -13
operations/debs/contenttranslation/apertium-oc-esmaster+52 -10
operations/debs/contenttranslation/apertium-eo-enmaster+76 -11
Show related patches Customize query in gerrit

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
KartikMistry updated the task description. (Show Details)Mar 16 2020, 7:55 AM

Change 580053 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-fr-es@master] apertium-fr-es: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/580053

KartikMistry updated the task description. (Show Details)Mar 16 2020, 3:22 PM

Change 580339 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-eo-ca@master] apertium-eo-ca: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/580339

KartikMistry updated the task description. (Show Details)Mar 17 2020, 2:42 PM

Change 581597 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-eo-fr@master] apertium-eo-fr: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/581597

KartikMistry updated the task description. (Show Details)Mar 19 2020, 2:36 PM

Change 581893 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-es-ast@master] apertium-es-ast: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/581893

KartikMistry triaged this task as Medium priority.Mar 20 2020, 6:34 AM
KartikMistry updated the task description. (Show Details)

Change 581896 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-es-ro@master] apertium-es-ro: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/581896

KartikMistry updated the task description. (Show Details)Mar 20 2020, 7:00 AM

Change 581967 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-eu-en@master] apertium-eu-en: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/581967

KartikMistry updated the task description. (Show Details)Mar 20 2020, 7:44 AM

Change 582410 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-eu-es@master] apertium-eu-es: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/582410

KartikMistry updated the task description. (Show Details)Mar 21 2020, 7:29 AM

Change 582556 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-hbs-mkd@master] apertium-hbs-mkd: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/582556

KartikMistry updated the task description. (Show Details)Mar 22 2020, 8:33 AM
KartikMistry updated the task description. (Show Details)Mar 22 2020, 3:31 PM

Change 582581 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-id-ms@master] apertium-ind-zlm: Fix FTBFS with apertium 3.6 + 0.1.2 release

https://gerrit.wikimedia.org/r/582581

Change 582640 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-is-sv@master] apertium-is-sv: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/582640

KartikMistry updated the task description. (Show Details)Mar 23 2020, 6:10 AM

Change 582956 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-isl-eng@master] apertium-isl-eng: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/582956

KartikMistry updated the task description. (Show Details)Mar 24 2020, 6:02 AM

Change 583060 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-mk-bg@master] apertium-mk-bg: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/583060

KartikMistry updated the task description. (Show Details)Mar 25 2020, 8:08 AM

Change 583308 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-mk-en@master] apertium-mk-en: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/583308

Change 583383 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-oc-ca@master] apertium-oc-ca: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/583383

KartikMistry updated the task description. (Show Details)Mar 27 2020, 6:17 AM
KartikMistry updated the task description. (Show Details)Mar 27 2020, 6:23 AM
KartikMistry updated the task description. (Show Details)Mar 27 2020, 6:29 AM
KartikMistry updated the task description. (Show Details)Mar 30 2020, 4:30 AM

Change 584870 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-en-gl@master] apertium-en-gl: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/584870

KartikMistry updated the task description. (Show Details)Mar 31 2020, 6:57 AM

Change 584965 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-pt-gl@master] apertium-pt-gl: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/584965

Change 585129 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-eo-es@master] apertium-eo-es: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/585129

KartikMistry updated the task description. (Show Details)Apr 1 2020, 8:22 AM

Change 585372 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-oc-es@master] apertium-oc-es: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/585372

KartikMistry updated the task description. (Show Details)Apr 2 2020, 5:23 AM

Change 585699 had a related patch set uploaded (by KartikMistry; owner: KartikMistry):
[operations/debs/contenttranslation/apertium-eo-en@master] apertium-eo-en: Fix FTBFS with apertium 3.6

https://gerrit.wikimedia.org/r/585699

KartikMistry updated the task description. (Show Details)Apr 3 2020, 8:38 AM

All patches are done and ready for review.

akosiaris changed the task status from Open to Stalled.Apr 7 2020, 4:36 PM
akosiaris added a project: serviceops-radar.

After an IRC discussion with @KartikMistry, noting here for completeness that these can't really get deployed during covid-19 as they are rather risky and with not enough people knowing how to fix things if they break (see https://wikitech.wikimedia.org/wiki/Deployments/Covid-19) I 'll set the task as stalled and try to work on a deployment process that minimizes that risk.

Change 585699 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-eo-en@master] apertium-eo-en: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/585699

Change 585372 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-oc-es@master] apertium-oc-es: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/585372

Change 585129 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-eo-es@master] apertium-eo-es: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/585129

Change 584965 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-pt-gl@master] apertium-pt-gl: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/584965

Change 584870 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-en-gl@master] apertium-en-gl: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/584870

Change 579463 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-br-fr@master] apertium-br-fr: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/579463

Change 579683 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-cy-en@master] apertium-cy-en: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/579683

Change 579757 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-en-es@master] apertium-en-es: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/579757

Change 579889 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-es-pt@master] apertium-es-pt: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/579889

Change 580053 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-fr-es@master] apertium-fr-es: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/580053

Change 580339 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-eo-ca@master] apertium-eo-ca: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/580339

Change 581597 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-eo-fr@master] apertium-eo-fr: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/581597

Change 583383 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-oc-ca@master] apertium-oc-ca: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/583383

Change 583308 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-mk-en@master] apertium-mk-en: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/583308

Change 583060 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-mk-bg@master] apertium-mk-bg: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/583060

Change 582956 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-isl-eng@master] apertium-isl-eng: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/582956

Change 582640 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-is-sv@master] apertium-is-sv: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/582640

Change 582556 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-hbs-mkd@master] apertium-hbs-mkd: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/582556

Change 582410 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-eu-es@master] apertium-eu-es: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/582410

Change 581967 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-eu-en@master] apertium-eu-en: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/581967

Change 581896 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-es-ro@master] apertium-es-ro: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/581896

Change 581893 abandoned by KartikMistry:
[operations/debs/contenttranslation/apertium-es-ast@master] apertium-es-ast: Fix FTBFS with apertium 3.6

Reason:

https://gerrit.wikimedia.org/r/581893

KartikMistry renamed this task from Rebuild packages failing with apertium > 3.6 to Update apertium to 3.7 release.Dec 14 2020, 7:52 AM
KartikMistry changed the task status from Stalled to Open.
KartikMistry updated the task description. (Show Details)
KartikMistry removed a subscriber: akosiaris.
KartikMistry updated the task description. (Show Details)Dec 17 2020, 2:22 PM
KartikMistry updated the task description. (Show Details)Mon, Jan 4, 7:38 AM